petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateSubMatrix

Creates a composite matrix that acts as a submatrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateSubMatrix(Mat A,IS isrow,IS iscol,Mat *newmat)

Collective on Mat Many br

### Input Parameters

| A | - matrix that we will extract a submatrix of Many br
| isrow | - rows to be present in the submatrix Many br
| iscol | - columns to be present in the submatrix Many br

### Output Parameters

newmat -new matrix Many br

Many br

### Notes

Most will use MatGetSubMatrix which provides a more efficient representation if it is available. Many br

### See Also

MatGetSubMatrix(), MatSubMatrixUpdate()

Level:developer
Location:src/mat/impls/submat/submat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages